"{ Package: 'jn:refactoring_custom' }"

CustomCodeGeneratorOrRefactoringTestCase subclass:#CustomCodeGeneratorClassGeneratorTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom-Tests'
!


!CustomCodeGeneratorClassGeneratorTests methodsFor:'accessing'!

generatorOrRefactoring
    | generator |

    generator := CustomCodeGeneratorClassGenerator new.
    generator dialog: CustomSilentDialog new.

    ^ generator

    "Created: / 27-09-2014 / 11:27:33 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 27-09-2014 / 14:28:43 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomCodeGeneratorClassGeneratorTests methodsFor:'tests'!

test_code_generator_class_created

    | newGenerator testClassName |

    testClassName := #CustomCodeGeneratorForTestCase.

    self assert: (Smalltalk classNamed: testClassName) isNil.

    generatorOrRefactoring dialog answer: testClassName forSelector: #requestClassName:initialAnswer:.

    generatorOrRefactoring executeInContext: context.

    newGenerator := Smalltalk classNamed: testClassName.

    self assert: newGenerator isNil not.
    self assert: (newGenerator includesSelector: #buildInContext:).
    self assert: (newGenerator class includesSelector: #buildInContext:) not.
    self assert: (newGenerator includesSelector: #availableInContext:) not.
    self assert: (newGenerator class includesSelector: #availableInContext:).

    "Created: / 31-03-2014 / 23:20:33 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 08-10-2014 / 13:50:45 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomCodeGeneratorClassGeneratorTests class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

